df <- read.csv(file='auto-mpg.csv')

plots <- par(mfrow=c(1, 3)) 

corr <- cor(df$mpg, df$weight)
title <- paste("MPG Weight ", sprintf("%s", corr))
plot(df$weight, df$mpg, main=title, 
   xlab="Car Weight ", ylab="Miles Per Gallon ")

corr <- cor(df$mpg, df$horsepower)
title <- paste("MPG Horsepower ", sprintf("%s", corr))
plot(df$horsepower, df$mpg, main=title, 
   xlab="Car Horsepower ", ylab="Miles Per Gallon ")

corr <- cor(df$mpg, df$acceleration)
title <- paste("MPG Acceleration ", sprintf("%s", corr))
plot(df$acceleration, df$mpg, main=title, 
   xlab="Car Acceleation ", ylab="Miles Per Gallon ")

par(plots)